Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class ImageGenerator

    java.lang.Object
      biouml.model.util.ImageGenerator

public class ImageGenerator
extends java.lang.Object

Utility class to generate diagram image.

Nested Class Summary
`static interface` | `ImageGenerator.ReferenceGenerator`

Field Summary
`protected static org.apache.log4j.Category` | `log`

Constructor Summary
`ImageGenerator()`

Method Summary
`static void` | `encodeImage(java.awt.image.BufferedImage image, java.lang.String format, java.io.OutputStream out)`
`static java.awt.image.BufferedImage` | `generateDiagramImage(Diagram diagram)`
`static java.awt.image.BufferedImage` | `generateDiagramImage(Diagram diagram, java.awt.Graphics graphics)`
`static java.awt.image.BufferedImage` | `generateImage(View view)`
`static java.lang.String` | `generateImageMap(View view, ImageGenerator.ReferenceGenerator generator)`
`protected static void` | `generateImageMap(View view, ImageGenerator.ReferenceGenerator generator, java.lang.StringBuffer result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

Constructor Detail

### ImageGenerator

    public ImageGenerator()

Method Detail

### generateDiagramImage

    public static java.awt.image.BufferedImage generateDiagramImage(Diagram diagram)

### generateDiagramImage

    public static java.awt.image.BufferedImage generateDiagramImage(Diagram diagram,
                                                                    java.awt.Graphics graphics)

### generateImage

    public static java.awt.image.BufferedImage generateImage(View view)

### encodeImage

    public static void encodeImage(java.awt.image.BufferedImage image,
                                   java.lang.String format,
                                   java.io.OutputStream out)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateImageMap

    public static java.lang.String generateImageMap(View view,
                                                    ImageGenerator.ReferenceGenerator generator)

### generateImageMap

    protected static void generateImageMap(View view,
                                           ImageGenerator.ReferenceGenerator generator,
                                           java.lang.StringBuffer result)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.